/* Program:          Ch12SBS
 * Programmer:       Your Name
 * Date:             Today's Date
 * Description:      Calculate the sales price using the ClothingSale class.
 *                   Instantiate a ClothingSale as a new object of the
 *                   ClothingSale class.
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Ch12SBS
{
    public partial class ClothingSalesForm : Form
    {
        public ClothingSalesForm()
        {
            InitializeComponent();
        }

        private void calculateSaleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Calculate the price for the sale.
            decimal discountRateDecimal = 0m;

            try    // Discount.
            {
                if (discountCheckBox.Checked)
                {
                    discountRateDecimal = decimal.Parse(discountRateTextBox.Text);
                }
                try   // Quantity.
                {
                    int quantityInteger = int.Parse(quantityTextBox.Text);
                    try    // Unit Price.
                    {
                        decimal unitPriceDecimal = decimal.Parse(unitPriceTextBox.Text);

                        // All passed validation; perform calculation here. 
                        // Instantiate a ClothingSale object.

                    
                    
                    
                    }
                    catch // Unit Price.
                    {
                        MessageBox.Show("Unit price must be numeric.", "Invalid Data");
                        unitPriceTextBox.Focus();
                        unitPriceTextBox.SelectAll();
                    }
                }
                catch // Quantity.
                {
                    MessageBox.Show("Quantity must be a whole number.", "Invalid Data");
                    quantityTextBox.Focus();
                    quantityTextBox.SelectAll();
                }
            }
            catch // Discount Rate.
            {
                MessageBox.Show("Discount rate must be a decimal.", "Invalid Data");
                discountRateTextBox.Focus();
                discountRateTextBox.SelectAll();
            }
        }

        private void discountCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            // Set the visibility of the discount rate controls.

            discountRateLabel.Visible = discountCheckBox.Checked;
            discountRateTextBox.Visible = discountCheckBox.Checked;
        }

        private void clearToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Clear the controls for the next entry.

            productIdTextBox.Clear();
            quantityTextBox.Clear();
            unitPriceTextBox.Clear();
            discountRateTextBox.Clear();
            discountCheckBox.Checked = false;
            extendedPriceTextBox.Clear();
            productIdTextBox.Focus();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Exit the application.

            this.Close();
        }
    }
}